Bug 1022790 - Deploy SAM-1.3.1 on RHEL6.5 got error and failed to import manifest
Deploy SAM-1.3.1 on RHEL6.5 got error and failed to import manifest
Status: CLOSED WORKSFORME
Product: Subscription Asset Manager
Classification: Red Hat
Component: katello-configure (Show other bugs)
1.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Katello Bug Bin
SAM QE List
:
Depends On:
Blocks: sam20-tracker
  Show dependency treegraph
 
Reported: 2013-10-24 00:14 EDT by gaoshang
Modified: 2014-06-26 23:07 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-26 23:07:28 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
deploy steps and log (350.31 KB, text/plain)
2013-10-24 00:15 EDT, gaoshang
no flags Details
katello-debug attached (137.58 KB, application/x-gzip)
2013-10-27 22:25 EDT, gaoshang
no flags Details

  None (edit)
Description gaoshang 2013-10-24 00:14:47 EDT
Description of problem:
When deploying SAM-1.3.1-RHEL-6-20131017.0 on RHEL6.5-20131022.2, failed to import manifest, got error as:
    [root@samserv ~]# headpin -u admin -p admin provider import_manifest --org=ACME_Corporation --name='Red Hat' --file=manifest_all.zip
    Service unavailable or restarting, try later

although deploy seems good, but error found in log file
    [root@samserv ~]# katello-configure --deployment=sam --user-pass=admin
    Starting Katello configuration
    The top-level log file is [/var/log/katello/katello-configure-20131023-222650/main.log]
    Katello configuration: |====================================================================================================================================|

    # cat /var/log/katello/katello-configure-20131023-222650/main.log
    ...
    131023-22:30:23 Debug: Exec[katello_seed_db](provider=posix): Executing '/usr/bin/ruby193-rake seed_with_logging --trace --verbose > /var/log/katello/katello-configure/db_seed.log 2>&1 && touch /var/lib/katello/db_seed_done'
    131023-22:30:23 Debug: Executing '/usr/bin/ruby193-rake seed_with_logging --trace --verbose > /var/log/katello/katello-configure/db_seed.log 2>&1 && touch /var/lib/katello/db_seed_done'
    131023-22:30:42 Error: /usr/bin/ruby193-rake seed_with_logging --trace --verbose > /var/log/katello/katello-configure/db_seed.log 2>&1 && touch /var/lib/katello/db_seed_done returned 1 instead of one of [0]
    131023-22:30:42 Error: /Stage[main]/Katello::Config/Exec[katello_seed_db]/returns: change from notrun to 0 failed: /usr/bin/ruby193-rake seed_with_logging --trace --verbose > /var/log/katello/katello-configure/db_seed.log 2>&1 && touch /var/lib/katello/db_seed_done returned 1 instead of one of [0]
    ...

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. install katello-headpin-all
2. run katello-configure --deployment=sam --user-pass=admin
3. import manifest

Actual results:
SAM deploy failed.

Expected results:
SAM deploy should succeed.

Additional info:
Comment 1 gaoshang 2013-10-24 00:15:43 EDT
Created attachment 815609 [details]
deploy steps and log
Comment 2 Tom McKay 2013-10-24 08:48:58 EDT
Please always attach katello-debug output. The tar.gz file created contains all logs and conf files. If you still have that, please attach. Thanks!
Comment 3 gaoshang 2013-10-27 22:25:28 EDT
Created attachment 816668 [details]
katello-debug attached
Comment 4 sthirugn@redhat.com 2014-06-26 17:07:36 EDT
@sgao: sam 1.4 is released two weeks back.  Can you please retest this and close?

FWIW - in sam 1.3.1 we did not support java 1.7.0 (see https://bugzilla.redhat.com/show_bug.cgi?id=1010082).  Now it is resolved.
Comment 5 gaoshang 2014-06-26 23:07:28 EDT
(In reply to sthirugn from comment #4)
> @sgao: sam 1.4 is released two weeks back.  Can you please retest this and
> close?
> 
> FWIW - in sam 1.3.1 we did not support java 1.7.0 (see
> https://bugzilla.redhat.com/show_bug.cgi?id=1010082).  Now it is resolved.

Yes, sam 1.4 have not this bug, installation is successful and importing manifest works, closed it, thanks!

Note You need to log in before you can comment on or make changes to this bug.